Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cmp.transport
Class PollRequestTCPMsg

`java.lang.Object
oracle.security.crypto.cmp.transport.TCPMessage
oracle.security.crypto.cmp.transport.PollRequestTCPMsg`

All Implemented Interfaces:
  oracle.security.crypto.util.Streamable

public class PollRequestTCPMsg
extends TCPMessage

TCP-based protocol message used by an end-entity to poll for a response from the server.

Nested Class Summary

Nested classes inherited from class oracle.security.crypto.cmp.transport.TCPMessage
`TCPMessage.Flag, TCPMessage.Type, TCPMessage.Version`

Constructor Summary
`PollRequestTCPMsg(java.io.InputStream is)`
`PollRequestTCPMsg(int pollRef)` Create a new `PollRequestTCPMsg` with the given polling reference number and the default version (CMP2000).
`PollRequestTCPMsg(TCPMessage.Version version, int pollRef)` Create a new `PollRequestTCPMsg` with the given version and polling reference number.

Method Summary
`boolean` | `checkStatus(int pollRef)` Check that if this pollRef is the same as the given polling reference number.
`int` | `getPollRef()`
`TCPMessage.Type` | `getType()` Get the TCP-based message type.
`java.lang.String` | `toString()`

Methods inherited from class oracle.security.crypto.cmp.transport.TCPMessage
`getVersion, hasFlag, input, inputInstance, length, output, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PollRequestTCPMsg

    public PollRequestTCPMsg(TCPMessage.Version version,
                             int pollRef)

  Create a new `PollRequestTCPMsg` with the given version and polling reference number.
Parameters:
  `version` - the PKI TCP transport protocol version.
  `pollRef` - the polling reference, obtained from the corresponding `PollResponseTCPMsg` using the `getPollRef()` method.

### PollRequestTCPMsg

    public PollRequestTCPMsg(int pollRef)

  Create a new `PollRequestTCPMsg` with the given polling reference number and the default version (CMP2000).
Parameters:
  `pollRef` - the polling reference, obtained from the corresponding `PollResponseTCPMsg` using the `getPollRef()` method.

### PollRequestTCPMsg

    public PollRequestTCPMsg(java.io.InputStream is)
                      throws java.io.IOException

Method Detail

### getType

    public TCPMessage.Type getType()

  Description copied from class: `TCPMessage`
  Get the TCP-based message type.
  Specified by:
    `getType` in class `TCPMessage`

### getPollRef

    public int getPollRef()

### checkStatus

    public boolean checkStatus(int pollRef)

  Check that if this pollRef is the same as the given polling reference number.
  Parameters:
    `pollRef` - the polling reference, obtained from the corresponding `PollResponseTCPMsg` using the `getPollRef()` method.

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools PKI SDK CMP Java API Reference 10g Release 3 (10.1.3) B25373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.